Module java.base
Package java.net

## Class SocketException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.io.IOException
      - - java.net.SocketException

All Implemented Interfaces:
  `Serializable`

Direct Known Subclasses:
  `BindException`, `ConnectException`, `NoRouteToHostException`, `PortUnreachableException`

    public class SocketException
    extends IOException

Thrown to indicate that there is an error creating or accessing a Socket.

Since:
  1.0
See Also:
  Serialized Form

### Constructor Summary

Constructors
`SocketException()` Constructs a new `SocketException` with no detail message.
`SocketException​(String msg)` Constructs a new `SocketException` with the specified detail message.

### Method Summary

### Methods declared in class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods declared in class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### SocketException

    public SocketException​(String msg)

Constructs a new `SocketException` with the specified detail message.

Parameters:
  `msg` - the detail message.

#### SocketException

    public SocketException()

Constructs a new `SocketException` with no detail message.